<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>Select ticket number</title>

  <script src="qaws.js"></script>

  <style>
    body {
      background-color: #fff;
      font-family: sans-serif;
    }
    h1 {
      font-weight: normal;
      font-size: 300%;
    }

  input[type=button] {
    background-color: #A01010; /* Red */
    border: none;
    border-radius: 8px;
    color: white;
    padding: 14px 24px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 24px;
    margin:10px 10px 10px 10px;
  }

  </style>
</head>
<body>

    <h1 align="center"> <span id='title'>How many tickets do you want to buy?</span> </h1>
    <div align="center" >
      <a href="code_to_pay.html">
        <img height=150 id='one' src="img/one.png" alt="One"/>
      </a>
      <a href="code_to_pay.html">
        <img height=150 id='two' src="img/two.png" alt="Two"/>
      </a>
      <a href="code_to_pay.html">
        <img height=150 id='three' src="img/three.png" alt="Three"/>
      </a>
      <a href="code_to_pay.html">
        <img height=150 id='four' src="img/four.png" alt="Four"/>
      </a>
      <a href="code_to_pay.html">
        <img height=150 id='five' src="img/five.png" alt="Five"/>
      </a>
      <a href="code_to_pay.html">
        <img height=150 id='six' src="img/six.png" alt="Six"/>
      </a>
    </div>
    <div align="center">
      <a href="buy_select_film.html">
        <img  class='icon' id='back' src="img/back.png" height="100" />
      </a>
    </div>

  <!-- ****** SCRIPTS ****** -->

  <script>

    var ip=window.location.hostname;
    if (ip=='')
        ip='127.0.0.1';
    var port = 9100;

    console.log("Trying connection...")
    wsrobot_init(ip,port);

    function hello() {
        console.log("runnig interaction...");
        codews.send("im.robot.say('hello')\n");
    }

  </script>

  <script>
  function loadJSON(path,callback){
    var xobj = new XMLHttpRequest();
          xobj.overrideMimeType("application/json");
      xobj.open('GET', path, true); // Replace 'my_data' with the path to your file
      xobj.onreadystatechange = function () {
            if (xobj.readyState == 4 && xobj.status == "200") {
              // Required use of an anonymous callback as .open will NOT return a value but simply returns undefined in asynchronous mode
              callback(xobj.responseText);
            }
      };
      xobj.send(null);  
  }
  
  function JSONloaded(str){
    var seats = JSON.parse(str);
    console.log(seats[0])
  }

  loadJSON('seats.json',JSONloaded)

  </script>

</body>
</html>